body {
    min-height: 100%;
    margin: 0;
    padding: 0;
    text-align: center;

    min-width: 650px;
    user-select: none;
    -moz-user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none;
    font: 100%/100% GloriaHallelujah;
    font-family: calibri;
    font-size: 20px;
}

.nombre {
    max-width: 40px;
}

.vert {
    color: green;
}

.rouge {
    color: red;

    font-weight: bold;
}

.bouton {
    border: none;
    text-align: center;

    box-shadow: 0 1px 5px rgba(0, 0, 0, 0.25), 0 0 50px rgba(0, 0, 0, 0.1) inset;
    border-radius: 5px;
    color: #444444;

    font: 60%/100% Gloria Hallelujah, Arial, Helvetica, sans-serif;
    height: 32px;
    margin: 10px;


    padding: 5px;
    text-align: center;
    box-shadow: 0 1px 5px rgba(0, 0, 0, 0.25), 0 0 50px rgba(0, 0, 0, 0.1) inset;
    cursor: pointer;
    text-decoration: none;
    user-select: none;
}

.bouton:hover {
    text-decoration: none;
    background-color: #ffd34e;
}

#msg {
    border: none;
    background-color: #fff2da;
    box-shadow: 0 1px 5px rgba(0, 0, 0, 0.25), 0 0 50px rgba(0, 0, 0, 0.1) inset;
    border-radius: 5px;
    color: #444444;

    font: 60%/100% Gloria Hallelujah, Arial, Helvetica, sans-serif;
    margin: auto;



    width: 400px;

    padding: 5px;
    text-align: center;
    box-shadow: 0 1px 5px rgba(0, 0, 0, 0.25), 0 0 50px rgba(0, 0, 0, 0.1) inset;
    position: relative;

}

h1 {
    font: 100%/100% Gloria Hallelujah, Arial, Helvetica, sans-serif;
    font-weight: bold;
}


.consigne {
    border: none;

    color: #444444;

    font: 75%/100% Gloria Hallelujah, Arial, Helvetica, sans-serif;
    margin: auto;
    margin-bottom: 20px;
    margin-top: 20px;
    padding: 5px;
    Line-Height: 2;
    text-align: left;

    user-select: text;
    -moz-user-select: text;
    -webkit-user-select: text;
    -ms-user-select: text;
}


html {
    height: 100%;
    user-select: none;

}


#auteur {
    bottom: 0px;
    position: relative;
    opacity: 0.3;

}


.frac {
    display: inline-block;
    position: relative;
    vertical-align: middle;
    letter-spacing: 0.001em;
    text-align: center;
}

.frac>span {
    display: block;
    padding: 0.1em;
}

.frac span.symbol {
    display: none;
}

.frac span.bottom {
    border-top: 2px solid;
    min-height: 20px;
}

.enbas {
    position: absolute;
    bottom: 10px;
    width: 100%;
    text-align: center;
    display: none;
}

#correction {

    display: flex;
    width: calc(100% - 6px);
    height: calc(100% - 6px);
    margin: auto;
    border-radius: 10px;
    border: 3px dashed #1c87c9;
    position: absolute;
    top: 0;

}

#correction>p {
    margin: auto;
}

#correction>span {
    margin: auto;
}

input {
    vertical-align: middle;
    height: 30px;
}

#enhaut {
    height: 105px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-gap: 10px;
    grid-auto-rows: minmax(100px, auto);

}

input[type=button] {
    cursor: pointer;
    height: inherit;
    font-size: 30px;
}

.formule {
    border: dashed red;
    width: fit-content;
    padding: 15px;
    border-radius: 20px;
    color: red;
    font-weight: bold;
    background-color: transparent;
    margin: 5px;
}

.formulesurlignee {
    border: dashed red;
    width: fit-content;
    padding: 15px;
    border-radius: 20px;
    color: red;
    font-weight: bold;
    background-color: rgba(153, 255, 0, 0.404);
    margin: 5px;
}

#formules {
    position: fixed;
}

.titre {
    font-weight: bold;

}

#conclusion {
    font-weight: bold;
    font-size: xx-large;
}

#choix {
    display: inline-block;
    vertical-align: middle;
    line-height: normal;
    font-size: 30px;
}

#divchoix {
    line-height: 105px;
    text-align: center;
}